/**
 * 
 */
package com.nisum.myteam.service;

import com.nisum.myteam.model.EmailDomain;
import com.nisum.myteam.model.Mail;

import javax.mail.MessagingException;
import java.io.IOException;

/**
 * @author nisum
 *
 */
public interface IMailService {
	
	public String sendEmailWithAttachment(EmailDomain emailObj);

	public void sendLeaveNotification(Mail mail)throws MessagingException, IOException;

	public void sendProjectNotification(Mail mail)throws MessagingException, IOException;
	
	public void sendWorkAnniversaryNotification(Mail mail)throws MessagingException, IOException;


}
